
Base Distribution - Task # 52505

Work Package # 49943 (Accepted): Security

Status: Resolved Priority: Must have
Author: Andreas Förthner Category: Administration
Created: 2013-10-03 Assigned To:
Updated: 2013-10-11 Due date:
Subject: UserSettingsController: check parameters of updateAction
Description

account and person have to match the currently authenticated ones.

Associated revisions
Revision 9161050f - 2013-10-11 09:56 - Andreas Förthner

[TASK] Backend users are only allowed to update their own user settings

Change-Id: I54365f9213bc6ecbdf767b749c3ea1b087dec626
Resolves: #52505
Reviewed-on: https://review.typo3.org/24369
Tested-by: Mr. Hudson
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Andreas Förthner
Tested-by: Andreas Förthner

History
#1 - 2013-10-04 13:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24369

#2 - 2013-10-04 13:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24369

#3 - 2013-10-08 13:32 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24369

#4 - 2013-10-11 10:36 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:9161050fbaaafb0ff6849a99e1476f6a463f39ec.
